package org.jboss.cache.transaction;

import javax.naming.InitialContext;
import javax.transaction.TransactionManager;


/**
 * Uses JNDI to look-up the
 * {@link TransactionManager} instance from "java:/TransactionManager".
 *
 * @author Bela Ban, Aug 26 2003
 * @version $Id: JBossTransactionManagerLookup.java 3550 2007-02-07 22:13:24Z genman $
 */
public class JBossTransactionManagerLookup implements TransactionManagerLookup {

   public JBossTransactionManagerLookup() {
   }

   public TransactionManager getTransactionManager() throws Exception {
      return (TransactionManager)new InitialContext().lookup("java:/TransactionManager");
   }

}
